// Structure for material coefficients
struct MaterialType {
	GLfloat ambient[4];
	GLfloat diffuse[4];
	GLfloat specular[4];
	GLfloat shininess;
};

// Material properties for brass
MaterialType brass = {{0.33f,0.22f,0.03f,1.0f},
                      {0.78f,0.57f,0.11f,1.0f},
                      {0.99f,0.91f,0.81f,1.0f},
                       27.8f};

// Material properties for silver
MaterialType silver = {{0.29f,0.29f,0.29f,1.0f},
                      {0.51f,0.51f,0.51f,1.0f},
                      {0.51f,0.51f,0.51f,1.0f},
                       32.0f};         

// Utility function to set a material
void set_material(GLenum face, MaterialType *material)
{
	glMaterialfv(face,GL_AMBIENT,material->ambient);
	glMaterialfv(face,GL_DIFFUSE,material->diffuse);
	glMaterialfv(face,GL_SPECULAR,material->specular);
	glMaterialf(face,GL_SHININESS,material->shininess);
}